<mat-toolbar>
    <mat-toolbar-row>
        <span>Student</span>
    </mat-toolbar-row>
</mat-toolbar>
<form [formGroup]="form" #studentReqForm="ngForm" (submit)="submit()" style="margin-left: 1em">
    <mat-form-field class="full-width">
        <input matInput placeholder="Student Id"  formControlName="studentId" [value]="student?.studentId">
    </mat-form-field>
    <table class="full-width" cellspacing="0">
        <tr>
            <td>
                <mat-form-field class="full-width">
                    <input matInput placeholder="First name" formControlName="studentFirstname" [value]="student?.studentFirstname">
                </mat-form-field>
            </td>
            <td>
                <mat-form-field class="full-width">
                    <input matInput placeholder="surname" formControlName="studentSurname" [value]="student?.studentSurname">
                </mat-form-field>
            </td>
        </tr>
        <tr>
            <td>
                <mat-form-field class="full-width">
                    <input matInput placeholder="Date of Birth" class="center-text" formControlName="studentDob" [value]="student?.studentDob">
                </mat-form-field>
            </td>
        </tr>
        <tr>
            <td>
                <mat-form-field class="full-width">
                    <input matInput placeholder="Password" formControlName="studentPassword" [type]="text"
                        [value]="student?.studentPassword" >
                </mat-form-field>
            </td>
        </tr>
    </table>
    <div class="center">
        <mat-card class="img-width">
            <mat-card-header>
                <mat-card-title>Image</mat-card-title>
            </mat-card-header>
            <img mat-card-image [attr.src]="student?.studentImage" [alt]="student?.studentFirstname">
        </mat-card>
    </div>
    <div class="btn-regis">
        <button mat-raised-button [routerLink]="['/student/activity']">Back</button>
        <button id="submit" mat-raised-button color="primary" type="submit" (click)="update()">Update</button>
    </div>
</form>